OnlyFans API
FanslyLists

Reorder Lists

Move a list from one position to another. Positions are zero-based, matching the Fansly Dashboard order.

POST
/api/fansly/{fanslyAccount}/lists/reorder
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

Request Body

application/json

old_pos*integer

Current position of the list.

new_pos*integer

Target position for the list.

Response Body

application/json

curl -X POST "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/lists/reorder" \  -H "Content-Type: application/json" \  -d '{    "old_pos": 20,    "new_pos": 19  }'
{
  "data": null,
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055787,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}